GET
/
v1
/
orgs
/
{org_id}
/
workspaces
/
{workspace_id}
/
campaigns
/
{campaign_id}
/
cohorts
/
{cohort_id}
/
files
Download Cohort File
curl --request GET \
  --url https://apps.sarvam.ai/api/scheduling/v1/orgs/{org_id}/workspaces/{workspace_id}/campaigns/{campaign_id}/cohorts/{cohort_id}/files \
  --header 'X-API-Key: <api-key>'
{
  "error": {
    "message": "<string>",
    "type": "<string>",
    "code": "<string>",
    "data": {
      "details": {}
    }
  }
}

Available file types

File TypeDescription
cohortThe original uploaded CSV
rejected_recordsCSV of rows that failed validation, with an appended rejected_reason column
cohort_transformationThe JSON transformation config used during processing

Authorizations

X-API-Key
string
header
required

Path Parameters

org_id
string
required
workspace_id
string
required
campaign_id
string
required
cohort_id
string
required

Query Parameters

file_type
enum<string>
required

Type of cohort file to download.

Available options:
cohort,
rejected_records,
cohort_transformation

Response

Successful Response